petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexCheckCellShape

Checks the Jacobian of the mapping from reference to real cells and computes some minimal statistics.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckCellShape(DM dm, PetscBool output, PetscReal condLimit)

Collective on dm

### Input Parameters

| dm | - The DMPlex object
| output | - If true, statistics will be displayed on stdout
| condLimit | - Display all cells above this condition number, or PETSC_DETERMINE for no cell output

### Notes

This is mainly intended for debugging/testing purposes.

For the complete list of DMPlexCheck* functions, see DMSetFromOptions().

### See Also

DMSetFromOptions()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/tutorials/ex9.c.html
src/dm/impls/forest/tutorials/ex1.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages